<template>
  <div style="height: 100%;">
    <topBar />
    <div class="d-flex" style="height: 100%;">
      <div class="d-flex flex-column" style="width: 80%; height: 100%; border: 4px solid #C2C5C2;">
        <div class="d-flex" style="height: 45%;">
          <div style="background-color: #533737; width: 70%; border: 4px solid #C2C5C2;">
            <p class="text-center">
              {{ examData.data_1 }}
            </p>
          </div>
          <div style="background-color: #37533D; width: 30%; border: 4px solid #C2C5C2;">
            <p class="text-center">
              {{ examData.data_2 }}
            </p>
          </div>
        </div>
        <div class="d-flex" style="height: 20%; border: 4px solid #C2C5C2;">
          <div style="background-color: #3B3753; width: 70%; border: 4px solid #C2C5C2;">
            <p class="text-center">
              {{ examData.data_3 }}
            </p>
          </div>
          <div style="background-color: #374F53; width: 30%; border: 4px solid #C2C5C2;">
            <p class="text-center">
              {{ examData.data_4 }}
            </p>
          </div>
        </div>
        <div class="d-flex" style="height: 35%; border: 4px solid #C2C5C2;">
          <div style="background-color: #535237; width: 100%; border: 4px solid #C2C5C2;">
            <p class="text-center">
              {{ examData.data_5 }}
            </p>
          </div>
        </div>
      </div>

      <div style="background-color: #533751; width: 20%; height: 100%; border: 4px solid #C2C5C2; border-top: 8px solid #C2C5C2; border-bottom: 8px solid #C2C5C2;">
        <p class="text-center">
          {{ examData.data_6 }}
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import examApi from '~/api/examApi.js'

export default {
  components: {},
  layout: 'default',
  data () {
    return {
      examData: {
        data_1: '',
        data_2: '',
        data_3: '',
        data_4: '',
        data_5: '',
        data_6: ''
      }
    }
  },
  mounted () {
    this.fetchExamData()
  },
  methods: {
    async fetchExamData () {
      try {
        const response = await examApi.getExamData()
        this.examData = response.data
      } catch (error) {
        console.error('Error fetching exam data:', error)
      }
    }
  }
}
</script>

<style scoped>
.text-center {
  text-align: center;
  margin: 0;
}
</style>
